/*
 * @Author: zk
 * @Date: 2021-09-16 16:20:11
 * @LastEditTime: 2021-10-15 12:00:29
 * @LastEditors: Please set LastEditors
 * @Description: 柱状图初始数据
 * @FilePath: \vue-admin-template-master\src\layout\mixin\commonChartsLine.js
 */
export default {
  data () {
    return {
      options: {
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            // Use axis to trigger tooltip
            type: 'shadow' // 'shadow' as default; can also be 'line' or 'shadow'
          }
        },
        legend: {
          orient: 'vertical',
          x: 'left', // 图例水平居中
          y: 'bottom', // 图例垂直居上
          textStyle: {
            color: '#fffffff'
          }
        },
        grid: {
          left: '40%',
          right: '4%',
          bottom: '3%',
          containLabel: true
        },
        xAxis: {
          axisLabel: {
            color: '#8897BC',
          },
          type: 'category',
          data: [],
          boundaryGap: false,
          splitLine: {
            show: true
          },
          axisLine: {
            show: false
          }
        },
        yAxis: {
          type: 'category',
          axisLabel: {
            color: '#8897BC',
          },
          data: [],
          axisLine: {
            show: false
          }
        },
        series: []
      }
    }
  }
}