/*
 * @Author: zk
 * @Date: 2021-09-16 16:20:11
 * @LastEditTime: 2021-10-18 09:14:26
 * @LastEditors: Please set LastEditors
 * @Description: 折线图初始数据
 * @FilePath: \vue-admin-template-master\src\layout\mixin\commonChartsLine.js
 */
export default {
  data () {
    return {
      options: {
        title: {
          // text: 'Referer of a Website',
          // subtext: 'Fake Data',
          left: 'center'
        },
        tooltip: {
          trigger: 'item'
        },
        legend: {
          orient: 'vertical',
          left: 10,
          top: 0,
          itemWidth: 10,
          itemHeight: 10,
          textStyle: {
            color: '#888'
          }
        },
        series: [
          {
            right: '0%',
            name: '',
            type: 'pie',
            radius: ["85%", "100%"],
            center: ["70%", "50%"],
            hoverAnimation: false,
            label: {
              show: false,
              position: 'left'
            },
            color: [],
            data: [],
          },
          {
            name: "",
            type: "pie",
            hoverAnimation: false,
            radius: ["65%", "85%"],
            center: ["70%", "50%"],
            avoidLabelOverlap: false,
            label: {
              show: false,
            },
            color: [],
            labelLine: {
              show: false,
            },
            data: [],
          },
          {
            name: "",
            type: "pie",
            // silent:true,
            center: ["70%", "50%"],
            radius: ["45%", "65%"],
            avoidLabelOverlap: false,
            label: {
              show: false,
            },
            color: [],
            hoverAnimation: false,
            labelLine: {
              show: false,
            },
            data: [],
          },
          {
            name: "总量",
            type: "pie",
            // silent:true,
            center: ["70%", "50%"],
            radius: ["0%", "40%"],
            avoidLabelOverlap: false,
            label: {
              show: false,
            },
            label: {
              formatter: `{b}\n{c}`,
              show: true,
              position: 'center'
            },
            hoverAnimation: false,
            labelLine: {
              show: false,
            },
            data: [],
          },
        ]
      }
    }
  }
}